%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global cargo_install_bin 0

%global crate os_pipe

Name:           rust-os_pipe
Version:        1.2.0
Release:    1%{?dist}
Summary:        Cross-platform library for opening OS pipes

License:        MIT
URL:            https://crates.io/crates/os_pipe
Source0:         %{crates_source}
Patch:          os_pipe-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 26
%if %{with check}
BuildRequires:  /usr/bin/python
%endif

%global _description %{expand:
A cross-platform library for opening OS pipes.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io_safety-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io_safety-devel %{_description}

This package contains library source intended for building other packages which
use the "io_safety" feature of the "%{crate}" crate.

%files       -n %{name}+io_safety-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
